<!-- HTML for static distribution bundle build --><!DOCTYPE html><html lang="en"><head>
    <meta charset="UTF-8">
    <title>Swagger UI</title>
    <link rel="stylesheet" type="text/css" href="/plugins/documentation/swagger-ui.css">
    <link rel="icon" type="image/png" href="/plugins/documentation/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="/plugins/documentation/favicon-16x16.png" sizes="16x16">
    <style>
      html
      {
        box-sizing: border-box;
        overflow: -moz-scrollbars-vertical;
        overflow-y: scroll;
      }

      *,
      *:before,
      *:after
      {
        box-sizing: inherit;
      }

      body
      {
        margin:0;
        background: #fafafa;
      }
    </style>
  </head>

  <body>
    <div id="swagger-ui"></div>

    <script src="/plugins/documentation/swagger-ui-bundle.js"> </script>
    <script src="/plugins/documentation/swagger-ui-standalone-preset.js"> </script>





























































































































































































































































































































































































































          
        
          <script class="custom-swagger-ui">
            window.onload = function() {

              // Build a system
              const ui = SwaggerUIBundle({
                url: "https://petstore.swagger.io/v2/swagger.json",
                spec: {"openapi":"3.0.0","info":{"version":"1.0.0","title":"DOCUMENTATION","description":"","termsOfService":"YOUR_TERMS_OF_SERVICE_URL","contact":{"name":"TEAM","email":"contact-email@something.io","url":"mywebsite.io"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0.html"},"x-generation-date":"07/19/2019 7:54:20 PM"},"x-strapi-config":{"path":"/documentation","showGeneratedFiles":true},"servers":[{"url":"http://localhost:1337","description":"Development server"},{"url":"YOUR_STAGING_SERVER","description":"Staging server"},{"url":"YOUR_PRODUCTION_SERVER","description":"Production server"}],"externalDocs":{"description":"Find out more","url":"https://strapi.io/documentation/3.0.0-beta.x/"},"security":[{"bearerAuth":[]}],"paths":{"/etapes":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Etape"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"parameters":[{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]},"post":{"deprecated":false,"description":"Create a new record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Etape"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEtape"}}}}}},"/etapes/count":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"count":{"type":"integer"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"parameters":[]}},"/etapes/{id}":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Etape"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"put":{"deprecated":false,"description":"Update a record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Etape"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEtape"}}}},"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"delete":{"deprecated":false,"description":"Delete a record","responses":{"200":{"description":"deletes a single record based on the ID supplied","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Etape"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/interests":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Interest"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"parameters":[{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]},"post":{"deprecated":false,"description":"Create a new record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interest"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewInterest"}}}}}},"/interests/count":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"count":{"type":"integer"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"parameters":[]}},"/interests/{id}":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interest"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"put":{"deprecated":false,"description":"Update a record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interest"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewInterest"}}}},"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"delete":{"deprecated":false,"description":"Delete a record","responses":{"200":{"description":"deletes a single record based on the ID supplied","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Interest"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/voyages":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Voyage"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"parameters":[{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]},"post":{"deprecated":false,"description":"Create a new record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Voyage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewVoyage"}}}}}},"/voyages/count":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"count":{"type":"integer"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"parameters":[]}},"/voyages/{id}":{"get":{"deprecated":false,"description":"","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Voyage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"put":{"deprecated":false,"description":"Update a record","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Voyage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewVoyage"}}}},"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"delete":{"deprecated":false,"description":"Delete a record","responses":{"200":{"description":"deletes a single record based on the ID supplied","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Voyage"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/email/":{"post":{"deprecated":false,"description":"Send an email","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Email - Email"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}}}},"/upload/":{"post":{"deprecated":false,"description":"Upload a file","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}}}},"/upload/files/count":{"get":{"deprecated":false,"description":"Retrieve the total number of uploaded files","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"parameters":[]}},"/upload/files":{"get":{"deprecated":false,"description":"Retrieve all file documents","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"parameters":[]}},"/upload/files/{_id}":{"get":{"deprecated":false,"description":"Retrieve a single file depending on its id","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"parameters":[{"name":"_id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"delete":{"deprecated":false,"description":"Delete an uploaded file","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"parameters":[{"name":"_id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/upload/search/{id}":{"get":{"deprecated":false,"description":"Search for an uploaded file","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Upload - File"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/users-permissions/init":{"get":{"deprecated":false,"description":"Check if the first admin user has already been registered","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"parameters":[]}},"/users-permissions/roles/{id}":{"get":{"deprecated":false,"description":"Retrieve a role depending on its id","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsRole"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/users-permissions/roles":{"get":{"deprecated":false,"description":"Retrieve all role documents","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Users-PermissionsRole"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"parameters":[{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]},"post":{"deprecated":false,"description":"Create a new role","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsRole"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewUsers-PermissionsRole"}}}}}},"/users-permissions/roles/{role}":{"put":{"deprecated":false,"description":"Update a role","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsRole"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"parameters":[{"name":"role","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewUsers-PermissionsRole"}}}}},"delete":{"deprecated":false,"description":"Delete a role","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - Role"],"parameters":[{"name":"role","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/users-permissions/search/{id}":{"get":{"deprecated":false,"description":"Search for users","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}},{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]}},"/connect/*":{"get":{"deprecated":false,"description":"Connect a provider","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[]}},"/auth/local":{"post":{"deprecated":false,"description":"Login a user using the identifiers email and password","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}}}},"/auth/local/register":{"post":{"deprecated":false,"description":"Register a new user with the default role","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewUsers-PermissionsUser"}}}}}},"/auth/{provider}/callback":{"get":{"deprecated":false,"description":"Successfull redirection after approving a provider","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"provider","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}},"/auth/forgot-password":{"post":{"deprecated":false,"description":"Send the reset password email link","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}}}},"/auth/reset-password":{"post":{"deprecated":false,"description":"Change a user's password","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}}}},"/auth/email-confirmation":{"get":{"deprecated":false,"description":"Validate a user account","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[]}},"/users":{"get":{"deprecated":false,"description":"Retrieve all user documents","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"_limit","in":"query","required":false,"description":"Maximum number of results possible","schema":{"type":"integer"},"deprecated":false},{"name":"_sort","in":"query","required":false,"description":"Sort according to a specific field.","schema":{"type":"string"},"deprecated":false},{"name":"_start","in":"query","required":false,"description":"Skip a specific number of entries (especially useful for pagination)","schema":{"type":"integer"},"deprecated":false},{"name":"=","in":"query","required":false,"description":"Get entries that matches exactly your input","schema":{"type":"string"},"deprecated":false},{"name":"_ne","in":"query","required":false,"description":"Get records that are not equals to something","schema":{"type":"string"},"deprecated":false},{"name":"_lt","in":"query","required":false,"description":"Get record that are lower than a value","schema":{"type":"string"},"deprecated":false},{"name":"_lte","in":"query","required":false,"description":"Get records that are lower than or equal to a value","schema":{"type":"string"},"deprecated":false},{"name":"_gt","in":"query","required":false,"description":"Get records that are greater than a value","schema":{"type":"string"},"deprecated":false},{"name":"_gte","in":"query","required":false,"description":"Get records that are greater than  or equal a value","schema":{"type":"string"},"deprecated":false},{"name":"_contains","in":"query","required":false,"description":"Get records that contains a value","schema":{"type":"string"},"deprecated":false},{"name":"_containss","in":"query","required":false,"description":"Get records that contains (case sensitive) a value","schema":{"type":"string"},"deprecated":false},{"name":"_in","in":"query","required":false,"description":"Get records that matches any value in the array of values","schema":{"type":"array"},"deprecated":false},{"name":"_nin","in":"query","required":false,"description":"Get records that doesn't match any value in the array of values","schema":{"type":"array"},"deprecated":false}]}},"/users/me":{"get":{"deprecated":false,"description":"Retrieve the logged in user informations","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[]}},"/users/{_id}":{"get":{"deprecated":false,"description":"Retrieve a single user depending on his id","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"_id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]},"put":{"deprecated":false,"description":"Update an existing user","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users-PermissionsUser"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"_id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewUsers-PermissionsUser"}}}}},"delete":{"deprecated":false,"description":"Delete an existing user","responses":{"200":{"description":"response","content":{"application/json":{"schema":{"properties":{"foo":{"type":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"summary":"","tags":["Users-Permissions - User"],"parameters":[{"name":"_id","in":"path","description":"","deprecated":false,"required":true,"schema":{"type":"string"}}]}}},"components":{"schemas":{"Etape":{"required":["id"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"lat":{"type":"number"},"lon":{"type":"number"},"adress":{"type":"string"},"mark":{"type":"integer","default":"5"},"comment":{"type":"string"},"pictures":{"type":"array","items":{"required":["id","name","hash","mime","size","url","provider"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"hash":{"type":"string"},"sha256":{"type":"string"},"ext":{"type":"string"},"mime":{"type":"string"},"size":{"type":"string"},"url":{"type":"string"},"provider":{"type":"string"},"public_id":{"type":"string"},"related":{"type":"string"}}}},"interests":{"type":"array","items":{"required":["id","tag"],"properties":{"id":{"type":"string"},"tag":{"type":"string"},"voyage":{"type":"string"},"user":{"type":"string"},"etape":{"type":"string"}}}},"user":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"voyage":{"required":["id","title","start","close"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"userslikes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"start":{"type":"string"}}},"NewEtape":{"properties":{"title":{"type":"string"},"lat":{"type":"number"},"lon":{"type":"number"},"adress":{"type":"string"},"mark":{"type":"integer","default":"5"},"comment":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"voyage":{"type":"string"},"start":{"type":"string"}}},"Interest":{"required":["id","tag"],"properties":{"id":{"type":"string"},"tag":{"type":"string"},"voyage":{"required":["id","title","start","close"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"userslikes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"user":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"etape":{"required":["id"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"lat":{"type":"number"},"lon":{"type":"number"},"adress":{"type":"string"},"mark":{"type":"integer"},"comment":{"type":"string"},"pictures":{"type":"array","items":{"type":"string"}},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"voyage":{"type":"string"},"start":{"type":"string"}}}}},"NewInterest":{"required":["tag"],"properties":{"tag":{"type":"string"},"voyage":{"type":"string"},"user":{"type":"string"},"etape":{"type":"string"}}},"Voyage":{"required":["id","title","start","close"],"properties":{"id":{"type":"string"},"title":{"type":"string","maxLength":128},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean","default":false},"picture":{"required":["id","name","hash","mime","size","url","provider"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"hash":{"type":"string"},"sha256":{"type":"string"},"ext":{"type":"string"},"mime":{"type":"string"},"size":{"type":"string"},"url":{"type":"string"},"provider":{"type":"string"},"public_id":{"type":"string"},"related":{"type":"string"}}},"interests":{"type":"array","items":{"required":["id","tag"],"properties":{"id":{"type":"string"},"tag":{"type":"string"},"voyage":{"type":"string"},"user":{"type":"string"},"etape":{"type":"string"}}}},"user":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"userslikes":{"type":"array","items":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}},"etapes":{"type":"array","items":{"required":["id"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"lat":{"type":"number"},"lon":{"type":"number"},"adress":{"type":"string"},"mark":{"type":"integer"},"comment":{"type":"string"},"pictures":{"type":"array","items":{"type":"string"}},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"voyage":{"type":"string"},"start":{"type":"string"}}}}}},"NewVoyage":{"required":["title","start","close"],"properties":{"title":{"type":"string","maxLength":128},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean","default":false},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"userslikes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"Users-PermissionsRole":{"required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string","minLength":3},"description":{"type":"string"},"type":{"type":"string"},"permissions":{"type":"array","items":{"required":["id","type","controller","action","enabled"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"controller":{"type":"string"},"action":{"type":"string"},"enabled":{"type":"boolean"},"policy":{"type":"string"},"role":{"type":"string"}}}},"users":{"type":"array","items":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}}}},"NewUsers-PermissionsRole":{"required":["name"],"properties":{"name":{"type":"string","minLength":3},"description":{"type":"string"},"type":{"type":"string"},"permissions":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}}}},"Users-PermissionsUser":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string","minLength":3},"email":{"type":"string","minLength":6},"provider":{"type":"string"},"confirmed":{"type":"boolean","default":false},"blocked":{"type":"boolean","default":false},"role":{"required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"permissions":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}}}},"firstname":{"type":"string","maxLength":128},"lastname":{"type":"string","maxLength":128},"picture":{"required":["id","name","hash","mime","size","url","provider"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"hash":{"type":"string"},"sha256":{"type":"string"},"ext":{"type":"string"},"mime":{"type":"string"},"size":{"type":"string"},"url":{"type":"string"},"provider":{"type":"string"},"public_id":{"type":"string"},"related":{"type":"string"}}},"interests":{"type":"array","items":{"required":["id","tag"],"properties":{"id":{"type":"string"},"tag":{"type":"string"},"voyage":{"type":"string"},"user":{"type":"string"},"etape":{"type":"string"}}}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}},"users":{"type":"array","items":{"required":["id","username","email","firstname","lastname"],"properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"provider":{"type":"string"},"password":{"type":"string"},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean"},"blocked":{"type":"boolean"},"role":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}},"voyages":{"type":"array","items":{"required":["id","title","start","close"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"userslikes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}},"likes":{"type":"array","items":{"required":["id","title","start","close"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"start":{"type":"string"},"end":{"type":"string"},"description":{"type":"string"},"close":{"type":"boolean"},"picture":{"type":"string"},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"userslikes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}}},"etapes":{"type":"array","items":{"required":["id"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"lat":{"type":"number"},"lon":{"type":"number"},"adress":{"type":"string"},"mark":{"type":"integer"},"comment":{"type":"string"},"pictures":{"type":"array","items":{"type":"string"}},"interests":{"type":"array","items":{"type":"string"}},"user":{"type":"string"},"voyage":{"type":"string"},"start":{"type":"string"}}}}}},"NewUsers-PermissionsUser":{"required":["username","email","firstname","lastname"],"properties":{"username":{"type":"string","minLength":3},"email":{"type":"string","minLength":6},"provider":{"type":"string"},"password":{"type":"string","minLength":6},"resetPasswordToken":{"type":"string"},"confirmed":{"type":"boolean","default":false},"blocked":{"type":"boolean","default":false},"role":{"type":"string"},"firstname":{"type":"string","maxLength":128},"lastname":{"type":"string","maxLength":128},"interests":{"type":"array","items":{"type":"string"}},"adress":{"type":"string"},"phone":{"type":"string"},"follows":{"type":"array","items":{"type":"string"}},"users":{"type":"array","items":{"type":"string"}},"voyages":{"type":"array","items":{"type":"string"}},"likes":{"type":"array","items":{"type":"string"}},"etapes":{"type":"array","items":{"type":"string"}}}},"Error":{"required":["code","message"],"properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"}}}},"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"tags":[{"name":"Etape"},{"name":"Interest"},{"name":"Voyage"},{"name":"Email - Email"},{"name":"Upload - File"},{"name":"Users-Permissions - Role"},{"name":"Users-Permissions - User"}]},
                dom_id: '#swagger-ui',
                docExpansion: "none",
                deepLinking: true,
                presets: [
                  SwaggerUIBundle.presets.apis,
                  SwaggerUIStandalonePreset
                ],
                plugins: [
                  SwaggerUIBundle.plugins.DownloadUrl
                ],
                layout: "StandaloneLayout"
              })

              window.ui = ui
            }
          </script>
        </body></html>